osl::rating::Check Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes | Private Attributes | List of all members
osl::rating::Check Class Reference

`#include <feature.h>`

Inheritance diagram for osl::rating::Check:
[legend]
Collaboration diagram for osl::rating::Check:
[legend]

## Public Member Functions
| Check (int p)
bool | match (const NumEffectState &state, Move move, const RatingEnv &) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Feature
| Feature (const std::string &name)
virtual | ~Feature ()
const std::string & | name () const

## Static Public Member Functions
static bool | openLong (const NumEffectState &state, Move move)

## Static Public Attributes
static const CArray< const char *, 4 > | check_property = {{ "Di", "DO", "OC", "Bo" }}

## Private Attributes
int | property

## Detailed Description

Definition at line 59 of file rating/feature.h.

## Constructor & Destructor Documentation

osl::rating::Check::Check | ( | int | p) |  |

Definition at line 12 of file rating/feature.cc.

## Member Function Documentation

bool osl::rating::Check::effectiveInCheck | ( | ) |  | const
| inlinevirtual

Reimplemented from osl::rating::Feature.

Definition at line 74 of file rating/feature.h.

bool osl::rating::Check::match | ( | const NumEffectState & | state,
|  | Move | move,
|  | const RatingEnv & |
| ) |  | const
| virtual

Implements osl::rating::Feature.

Definition at line 16 of file rating/feature.cc.

static bool osl::rating::Check::openLong | ( | const NumEffectState & | state,
|  | Move | move
| ) |  |
| inlinestatic

Definition at line 64 of file rating/feature.h.

References osl::BISHOP, osl::Move::from(), osl::Move::isDrop(), osl::LANCE, osl::Move::player(), and osl::ROOK.

Referenced by osl::rating::CheckGroup::findMatch().

## Member Data Documentation

const osl::CArray< const char *, 4 > osl::rating::Check::check_property = {{ "Di", "DO", "OC", "Bo" }}
| static

Definition at line 73 of file rating/feature.h.

int osl::rating::Check::property
| private

Definition at line 61 of file rating/feature.h.

The documentation for this class was generated from the following files:

- rating/feature.h
- rating/feature.cc